=== debian/changelog ===
git-annex (3.20121017) unstable; urgency=low

  * Fix zombie cleanup reversion introduced in 3.20121009.
  * Additional fix to support git submodules.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Oct 2012 21:10:14 -0400

git-annex (3.20121016) unstable; urgency=low

  * vicfg: New file format, avoids ambiguity with repos that have the same
    description, or no description.
  * Bug fix: A recent change caused git-annex-shell to crash.
  * Better preferred content expression for transfer repos.
  * webapp: Repository edit form can now edit the name of a repository.
  * webapp: Make bare repositories on removable drives, as there is nothing
    to ensure non-bare repos get updated when syncing.
  * webapp: Better behavior when pausing syncing to a remote when a transfer
    scan is running and queueing new transfers for that remote.
  * The standalone binaries are now built to not use ssh connection caching,
    in order to work with old versions of ssh.
  * A relative core.worktree is relative to the gitdir. Now that this is
    handled correctly, git-annex can be used in git submodules.
  * Temporarily disable use of dbus, as the haskell dbus library blows up
    when losing connection, which will need to be fixed upstream. 

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Oct 2012 15:25:22 -0400

git-annex (3.20121010) unstable; urgency=low

  * Renamed --ingroup to --inallgroup.
  * Standard groups changed to client, transfer, archive, and backup.
    Each of these has its own standard preferred content setting.
  * dead: Remove dead repository from all groups.
  * Avoid unsetting HOME when running certian git commands. Closes: #690193
  * test: Fix threaded runtime hang.
  * Makefile: Avoid building with -threaded if the ghc threaded runtime does
    not exist.
  * webapp: Improve wording of intro display. Closes: #689848
  * webapp: Repositories can now be configured, to change their description,
    their group, or even to disable syncing to them.
  * git config remote.name.annex-sync can be used to control whether
    a remote gets synced.
  * Fix a crash when merging files in the git-annex branch that contain
    invalid utf8.
  * Automatically detect when a ssh remote does not have git-annex-shell
    installed, and set annex-ignore.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Oct 2012 13:45:21 -0400

git-annex (3.20121009) unstable; urgency=low

  * watch, assistant: It's now safe to git annex unlock files while
    the watcher is running, as well as modify files checked into git
    as normal files. Additionally, .gitignore settings are now honored.
    Closes: #689979
  * group, ungroup: New commands to indicate groups of repositories.
  * webapp: Adds newly created repositories to one of these groups:
    clients, drives, servers
  * vicfg: New command, allows editing (or simply viewing) most
    of the repository configuration settings stored in the git-annex branch.
  * Added preferred content expressions, configurable using vicfg.
  * get --auto: If the local repository has preferred content
    configured, only get that content.
  * drop --auto: If the repository the content is dropped from has
    preferred content configured, drop only content that is not preferred.
  * copy --auto: Only transfer content that the destination repository prefers.
  * assistant: Now honors preferred content settings when deciding what to
    transfer.
  * --copies=group:number can now be used to match files that are present
    in a specified number of repositories in a group.
  * Added --smallerthan, --largerthan, and --inall limits.
  * Only build-depend on libghc-clientsession-dev on arches that will have
    the webapp.
  * uninit: Unset annex.version. Closes: #689852

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Oct 2012 15:13:23 -0400

git-annex (3.20121001) unstable; urgency=low

  * fsck: Now has an incremental mode. Start a new incremental fsck pass
    with git annex fsck --incremental. Now the fsck can be interrupted
    as desired, and resumed with git annex fsck --more.
    Thanks, Justin Azoff
  * New --time-limit option, makes long git-annex commands stop after
    a specified amount of time.
  * fsck: New --incremental-schedule option which is nice for scheduling
    eg, monthly incremental fsck runs in cron jobs.
  * Fix fallback to ~/Desktop when xdg-user-dir is not available.
    Closes: #688833
  * S3: When using a shared cipher, S3 credentials are not stored encrypted
    in the git repository, as that would allow anyone with access to
    the repository access to the S3 account. Instead, they're stored
    in a 600 mode file in the local git repo.
  * webapp: Avoid crashing when ssh-keygen -F chokes on an invalid known_hosts
    file.
  * Always do a system wide installation when DESTDIR is set. Closes: #689052
  * The Makefile now builds with the new yesod by default.
    Systems like Debian that have the old yesod 1.0.1 should set
    GIT_ANNEX_LOCAL_FEATURES=-DWITH_OLD_YESOD
  * copy: Avoid updating the location log when no copy is performed.
  * configure: Test that uuid -m works, falling back to plain uuid if not.
  * Avoid building the webapp on Debian architectures that do not yet
    have template haskell and thus yesod. (Should be available for arm soonish
    I hope).

 -- Joey Hess <joeyh@debian.org>  Mon, 01 Oct 2012 13:56:55 -0400

git-annex (3.20120924) unstable; urgency=low

  * assistant: New command, a daemon which does everything watch does,
    as well as automatically syncing file contents between repositories.
  * webapp: An interface for managing and configuring the assistant.
  * The default backend used when adding files to the annex is changed
    from SHA256 to SHA256E, to simplify interoperability with OSX, media
    players, and various programs that needlessly look at symlink targets.
    To get old behavior, add a .gitattributes containing: * annex.backend=SHA256
  * init: If no description is provided for a new repository, one will

