=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	libghc-edit-distance-dev,
 	libghc-hinotify-dev [linux-any],
 	libghc-stm-dev (>= 2.3),
-	libghc-dbus-dev [linux-any],
+	libghc-dbus-dev (>= 0.10.3) [linux-any],
 	libghc-yesod-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
 	libghc-yesod-static-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
 	libghc-yesod-default-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
@@ -35,17 +35,22 @@
 	libghc-wai-logger-dev,
 	libghc-warp-dev,
 	libghc-blaze-builder-dev,
-	libghc-blaze-html-dev,
 	libghc-crypto-api-dev,
 	libghc-network-multicast-dev,
 	libghc-network-info-dev,
+	libghc-safesemaphore-dev,
+	libghc-network-protocol-xmpp-dev (>= 0.4.3-1build2),
+	libghc-gnutls-dev (>= 0.1.4),
+	libghc-xml-types-dev,
+	libghc-async-dev,
 	ikiwiki,
 	perlmagick,
 	git,
 	uuid,
 	rsync,
 	openssh-client,
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
 Vcs-Git: git://git.kitenet.net/git-annex
 Homepage: http://git-annex.branchable.com/
@@ -59,7 +64,7 @@
 	rsync,
 	wget | curl,
 	openssh-client (>= 1:5.6p1)
-Recommends: lsof, gnupg
+Recommends: lsof, gnupg, bind9-host
 Suggests: graphviz, bup, libnss-mdns
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
