## git-annex 3.20121112ubuntu2

=== debian/changelog ===
git-annex (3.20121112ubuntu2) raring; urgency=low

  * Compilation fixes for the versions of GHC and libraries (mainly Yesod) in
    Raring. Fixes mostly backported from upstream, and slightly altered where
    necessary.
  * Add BD on libghc-extensible-exceptions-dev; newly required with new GHC. 

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 21 Apr 2013 21:58:31 +0100
