=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	libghc-gnutls-dev (>= 0.1.4),
 	libghc-xml-types-dev,
 	libghc-async-dev,
+	libghc-extensible-exceptions-dev,
 	ikiwiki,
 	perlmagick,
 	git,
