## git-annex 3.20121112ubuntu3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 CFLAGS=-Wall
 GIT_ANNEX_TMP_BUILD_DIR?=tmp
-IGNORE=-ignore-package monads-fd -ignore-package monads-tf
-BASEFLAGS=-Wall $(IGNORE) -outputdir $(GIT_ANNEX_TMP_BUILD_DIR) -IUtility
+BASEFLAGS=-Wall -outputdir $(GIT_ANNEX_TMP_BUILD_DIR) -IUtility
 
 # If you get build failures due to missing haskell libraries,
 # you can turn off some of these features.
 #
 # If you're using an old version of yesod, enable -DWITH_OLD_YESOD
-FEATURES?=$(GIT_ANNEX_LOCAL_FEATURES) -DWITH_ASSISTANT -DWITH_S3 -DWITH_WEBAPP -DWITH_PAIRING
+# Or with an old version of the uri library, enable -DWITH_OLD_URI
+FEATURES?=$(GIT_ANNEX_LOCAL_FEATURES) -DWITH_ASSISTANT -DWITH_S3 -DWITH_WEBAPP -DWITH_PAIRING -DWITH_XMPP -DWITH_DNS
 
 bins=git-annex
 mans=git-annex.1 git-annex-shell.1
@@ -16,9 +16,13 @@
 
 OS:=$(shell uname | sed 's/[-_].*//')
 ifeq ($(OS),Linux)
-OPTFLAGS?=-DWITH_INOTIFY
+OPTFLAGS?=-DWITH_INOTIFY -DWITH_DBUS
 clibs=Utility/libdiskfree.o Utility/libmounts.o
 THREADFLAGS=$(shell if test -e  `ghc --print-libdir`/libHSrts_thr.a; then printf -- -threaded; fi)
+else
+ifeq ($(OS),SunOS)
+# Solaris is not supported by the assistant or watch command.
+FEATURES:=$(shell echo $(FEATURES) | sed -e 's/-DWITH_ASSISTANT//' -e 's/-DWITH_WEBAPP//')
 else
 # BSD system
 THREADFLAGS=-threaded
@@ -32,6 +36,7 @@
 endif
 endif
 endif
+endif
 
 ALLFLAGS = $(BASEFLAGS) $(FEATURES) $(OPTFLAGS) $(THREADFLAGS)
 
@@ -139,11 +144,10 @@
 	@cabal upload dist/*.tar.gz
 
 THIRDPARTY_BINS=git curl lsof xargs rsync uuid wget gpg \
-	sha1sum sha224sum sha256sum sha384sum sha512sum
+	sha1sum sha224sum sha256sum sha384sum sha512sum cp
 
 LINUXSTANDALONE_DEST=$(GIT_ANNEX_TMP_BUILD_DIR)/git-annex.linux
 linuxstandalone:
-	$(MAKE) clean
 	GIT_ANNEX_LOCAL_FEATURES="$(GIT_ANNEX_LOCAL_FEATURES) -DWITH_OLD_SSH" $(MAKE) git-annex
 
 	rm -rf "$(LINUXSTANDALONE_DEST)"
@@ -182,7 +186,6 @@
 OSXAPP_DEST=$(GIT_ANNEX_TMP_BUILD_DIR)/build-dmg/git-annex.app
 OSXAPP_BASE=$(OSXAPP_DEST)/Contents/MacOS
 osxapp:
-	$(MAKE) clean
 	GIT_ANNEX_LOCAL_FEATURES="$(GIT_ANNEX_LOCAL_FEATURES) -DWITH_OLD_SSH" $(MAKE) git-annex
 
 	rm -rf "$(OSXAPP_DEST)"
@@ -218,4 +221,8 @@
 	rm -f tmp/git-annex.dmg.bz2
 	bzip2 tmp/git-annex.dmg
 
+# used by ./ghci
+getflags:
+	@echo $(ALLFLAGS) $(clibs)
+
 .PHONY: $(bins) test install
