=== debian/changelog ===
git-annex (3.20121112ubuntu3) raring; urgency=low

  * Build the webapp on powerpc, since it has Template Haskell now.
  * Backport from upstream:
    - Fix build of assistant without yesod.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Apr 2013 10:12:22 +0100
