=== debian/control ===
--- 
+++ 
@@ -23,11 +23,11 @@
 	libghc-hinotify-dev [linux-any],
 	libghc-stm-dev (>= 2.3),
 	libghc-dbus-dev (>= 0.10.3) [linux-any],
-	libghc-yesod-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
-	libghc-yesod-static-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
-	libghc-yesod-default-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
-	libghc-hamlet-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
-	libghc-clientsession-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
+	libghc-yesod-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc],
+	libghc-yesod-static-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc],
+	libghc-yesod-default-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc],
+	libghc-hamlet-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc],
+	libghc-clientsession-dev [i386 amd64 kfreebsd-i386 kfreebsd-amd64 powerpc],
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
 	libghc-transformers-dev,
