## git-annex 3.20121112ubuntu4

=== debian/changelog ===
git-annex (3.20121112ubuntu4) raring; urgency=low

  * Check for the 'ok installed' substring in the dpkg-query output when
    determining whether Yesod is installed; this matches against the 'current'
    state, rather than the 'desired' and 'current' states that checking for
    'install ok installed' does. The latter is a problem on the buildds where
    the desired state is 'purge'. (LP: #1084693)

 -- Iain Lane <laney@ubuntu.com>  Mon, 10 Jun 2013 22:05:18 +0100
